Index: /branches/UserManagement/HeuristicLab.Services.Authentication.TestClient/UserManagement.Designer.cs
===================================================================
--- /branches/UserManagement/HeuristicLab.Services.Authentication.TestClient/UserManagement.Designer.cs	(revision 4725)
+++ /branches/UserManagement/HeuristicLab.Services.Authentication.TestClient/UserManagement.Designer.cs	(revision 4726)
@@ -143,75 +249,291 @@
             // 
             this.tabPage1.AutoScroll = true;
+            this.tabPage1.Controls.Add(this.btnDeleteUser);
+            this.tabPage1.Controls.Add(this.btnNewUser);
             this.tabPage1.Controls.Add(this.dgvUsers);
-            this.tabPage1.Controls.Add(this.tabControl2);
+            this.tabPage1.Controls.Add(this.tcUser);
             this.tabPage1.Location = new System.Drawing.Point(4, 22);
             this.tabPage1.Name = "tabPage1";
             this.tabPage1.Padding = new System.Windows.Forms.Padding(3);
-            this.tabPage1.Size = new System.Drawing.Size(1092, 479);
+            this.tabPage1.Size = new System.Drawing.Size(1092, 529);
             this.tabPage1.TabIndex = 0;
             this.tabPage1.Text = "User";
             this.tabPage1.UseVisualStyleBackColor = true;
             // 
+            // btnDeleteUser
+            // 
+            this.btnDeleteUser.Location = new System.Drawing.Point(89, 16);
+            this.btnDeleteUser.Name = "btnDeleteUser";
+            this.btnDeleteUser.Size = new System.Drawing.Size(75, 23);
+            this.btnDeleteUser.TabIndex = 3;
+            this.btnDeleteUser.Text = "delete user";
+            this.btnDeleteUser.UseVisualStyleBackColor = true;
+            this.btnDeleteUser.Click += new System.EventHandler(this.btnDeleteUser_Click);
+            // 
+            // btnNewUser
+            // 
+            this.btnNewUser.Location = new System.Drawing.Point(8, 16);
+            this.btnNewUser.Name = "btnNewUser";
+            this.btnNewUser.Size = new System.Drawing.Size(75, 23);
+            this.btnNewUser.TabIndex = 2;
+            this.btnNewUser.Text = "new User";
+            this.btnNewUser.UseVisualStyleBackColor = true;
+            this.btnNewUser.Click += new System.EventHandler(this.btnNewUser_Click);
+            // 
+            // dgvUsers
+            // 
+            this.dgvUsers.AllowUserToAddRows = false;
+            this.dgvUsers.AllowUserToDeleteRows = false;
+            this.dgvUsers.AutoGenerateColumns = false;
+            this.dgvUsers.ColumnHeadersHeightSizeMode = System.Windows.Forms.DataGridViewColumnHeadersHeightSizeMode.AutoSize;
+            this.dgvUsers.Columns.AddRange(new System.Windows.Forms.DataGridViewColumn[] {
+            this.userNameDataGridViewTextBoxColumn,
+            this.isAnonymousDataGridViewCheckBoxColumn,
+            this.Membership});
+            this.dgvUsers.DataSource = this.bsUsers;
+            this.dgvUsers.Location = new System.Drawing.Point(3, 45);
+            this.dgvUsers.Name = "dgvUsers";
+            this.dgvUsers.Size = new System.Drawing.Size(1086, 290);
+            this.dgvUsers.TabIndex = 1;
+            this.dgvUsers.SelectionChanged += new System.EventHandler(this.dgvUsers_SelectionChanged);
+            // 
+            // bsUsers
+            // 
+            this.bsUsers.DataSource = typeof(HeuristicLab.Services.Authentication.DataTransfer.User);
+            // 
+            // tcUser
+            // 
+            this.tcUser.Controls.Add(this.tabPage3);
+            this.tcUser.Dock = System.Windows.Forms.DockStyle.Bottom;
+            this.tcUser.Enabled = false;
+            this.tcUser.Location = new System.Drawing.Point(3, 341);
+            this.tcUser.Name = "tcUser";
+            this.tcUser.SelectedIndex = 0;
+            this.tcUser.Size = new System.Drawing.Size(1086, 185);
+            this.tcUser.TabIndex = 0;
+            // 
+            // tabPage3
+            // 
+            this.tabPage3.AutoScroll = true;
+            this.tabPage3.Controls.Add(passwordSaltLabel);
+            this.tabPage3.Controls.Add(this.passwordSaltTextBox);
+            this.tabPage3.Controls.Add(passwordQuestionLabel);
+            this.tabPage3.Controls.Add(this.passwordQuestionTextBox);
+            this.tabPage3.Controls.Add(passwordLabel);
+            this.tabPage3.Controls.Add(this.passwordTextBox);
+            this.tabPage3.Controls.Add(userNameLabel);
+            this.tabPage3.Controls.Add(this.userNameTextBox);
+            this.tabPage3.Controls.Add(emailLabel);
+            this.tabPage3.Controls.Add(this.emailTextBox);
+            this.tabPage3.Controls.Add(this.btnSaveUser);
+            this.tabPage3.Location = new System.Drawing.Point(4, 22);
+            this.tabPage3.Name = "tabPage3";
+            this.tabPage3.Padding = new System.Windows.Forms.Padding(3);
+            this.tabPage3.Size = new System.Drawing.Size(1078, 159);
+            this.tabPage3.TabIndex = 0;
+            this.tabPage3.Text = "Detail";
+            this.tabPage3.UseVisualStyleBackColor = true;
+            // 
+            // passwordSaltTextBox
+            // 
+            this.passwordSaltTextBox.DataBindings.Add(new System.Windows.Forms.Binding("Text", this.bsUser, "Membership.PasswordSalt", true));
+            this.passwordSaltTextBox.Location = new System.Drawing.Point(134, 127);
+            this.passwordSaltTextBox.Name = "passwordSaltTextBox";
+            this.passwordSaltTextBox.Size = new System.Drawing.Size(145, 20);
+            this.passwordSaltTextBox.TabIndex = 17;
+            // 
+            // bsUser
+            // 
+            this.bsUser.DataSource = typeof(HeuristicLab.Services.Authentication.DataTransfer.User);
+            // 
+            // passwordQuestionTextBox
+            // 
+            this.passwordQuestionTextBox.DataBindings.Add(new System.Windows.Forms.Binding("Text", this.bsUser, "PasswordQuestion", true));
+            this.passwordQuestionTextBox.Location = new System.Drawing.Point(134, 73);
+            this.passwordQuestionTextBox.Name = "passwordQuestionTextBox";
+            this.passwordQuestionTextBox.Size = new System.Drawing.Size(145, 20);
+            this.passwordQuestionTextBox.TabIndex = 16;
+            // 
+            // passwordTextBox
+            // 
+            this.passwordTextBox.DataBindings.Add(new System.Windows.Forms.Binding("Text", this.bsUser, "Password", true));
+            this.passwordTextBox.Location = new System.Drawing.Point(134, 47);
+            this.passwordTextBox.Name = "passwordTextBox";
+            this.passwordTextBox.Size = new System.Drawing.Size(145, 20);
+            this.passwordTextBox.TabIndex = 15;
+            // 
+            // userNameTextBox
+            // 
+            this.userNameTextBox.DataBindings.Add(new System.Windows.Forms.Binding("Text", this.bsUser, "UserName", true));
+            this.userNameTextBox.Location = new System.Drawing.Point(134, 21);
+            this.userNameTextBox.Name = "userNameTextBox";
+            this.userNameTextBox.Size = new System.Drawing.Size(145, 20);
+            this.userNameTextBox.TabIndex = 14;
+            // 
+            // emailTextBox
+            // 
+            this.emailTextBox.DataBindings.Add(new System.Windows.Forms.Binding("Text", this.bsUser, "Email", true));
+            this.emailTextBox.Location = new System.Drawing.Point(134, 99);
+            this.emailTextBox.Name = "emailTextBox";
+            this.emailTextBox.Size = new System.Drawing.Size(145, 20);
+            this.emailTextBox.TabIndex = 13;
+            // 
+            // btnSaveUser
+            // 
+            this.btnSaveUser.Location = new System.Drawing.Point(303, 19);
+            this.btnSaveUser.Name = "btnSaveUser";
+            this.btnSaveUser.Size = new System.Drawing.Size(75, 23);
+            this.btnSaveUser.TabIndex = 12;
+            this.btnSaveUser.Text = "Save";
+            this.btnSaveUser.UseVisualStyleBackColor = true;
+            this.btnSaveUser.Click += new System.EventHandler(this.btnSaveUser_Click);
+            // 
             // tabPage2
             // 
             this.tabPage2.AutoScroll = true;
+            this.tabPage2.Controls.Add(this.btnDeleteRole);
+            this.tabPage2.Controls.Add(this.btnNewRole);
             this.tabPage2.Controls.Add(this.dgvRoles);
-            this.tabPage2.Controls.Add(this.tabControl3);
+            this.tabPage2.Controls.Add(this.tcRole);
             this.tabPage2.Location = new System.Drawing.Point(4, 22);
             this.tabPage2.Name = "tabPage2";
             this.tabPage2.Padding = new System.Windows.Forms.Padding(3);
-            this.tabPage2.Size = new System.Drawing.Size(1092, 479);
+            this.tabPage2.Size = new System.Drawing.Size(1092, 529);
             this.tabPage2.TabIndex = 1;
             this.tabPage2.Text = "Roles";
             this.tabPage2.UseVisualStyleBackColor = true;
             // 
-            // tabControl2
-            // 
-            this.tabControl2.Controls.Add(this.tabPage3);
-            this.tabControl2.Controls.Add(this.tabPage4);
-            this.tabControl2.Dock = System.Windows.Forms.DockStyle.Bottom;
-            this.tabControl2.Location = new System.Drawing.Point(3, 291);
-            this.tabControl2.Name = "tabControl2";
-            this.tabControl2.SelectedIndex = 0;
-            this.tabControl2.Size = new System.Drawing.Size(1086, 185);
-            this.tabControl2.TabIndex = 0;
-            // 
-            // tabPage4
-            // 
-            this.tabPage4.Controls.Add(this.dataGridView1);
-            this.tabPage4.Location = new System.Drawing.Point(4, 22);
-            this.tabPage4.Name = "tabPage4";
-            this.tabPage4.Padding = new System.Windows.Forms.Padding(3);
-            this.tabPage4.Size = new System.Drawing.Size(1078, 159);
-            this.tabPage4.TabIndex = 1;
-            this.tabPage4.Text = "Roles";
-            this.tabPage4.UseVisualStyleBackColor = true;
-            // 
-            // tabControl3
-            // 
-            this.tabControl3.Controls.Add(this.tabPage5);
-            this.tabControl3.Controls.Add(this.tabPage6);
-            this.tabControl3.Dock = System.Windows.Forms.DockStyle.Bottom;
-            this.tabControl3.Location = new System.Drawing.Point(3, 291);
-            this.tabControl3.Name = "tabControl3";
-            this.tabControl3.SelectedIndex = 0;
-            this.tabControl3.Size = new System.Drawing.Size(1086, 185);
-            this.tabControl3.TabIndex = 1;
-            // 
-            // tabPage5
-            // 
-            this.tabPage5.Controls.Add(roleNameLabel);
-            this.tabPage5.Controls.Add(this.roleNameTextBox);
-            this.tabPage5.Location = new System.Drawing.Point(4, 22);
-            this.tabPage5.Name = "tabPage5";
-            this.tabPage5.Padding = new System.Windows.Forms.Padding(3);
-            this.tabPage5.Size = new System.Drawing.Size(1078, 159);
-            this.tabPage5.TabIndex = 0;
-            this.tabPage5.Text = "Detail";
-            this.tabPage5.UseVisualStyleBackColor = true;
+            // btnDeleteRole
+            // 
+            this.btnDeleteRole.Enabled = false;
+            this.btnDeleteRole.Location = new System.Drawing.Point(89, 16);
+            this.btnDeleteRole.Name = "btnDeleteRole";
+            this.btnDeleteRole.Size = new System.Drawing.Size(75, 23);
+            this.btnDeleteRole.TabIndex = 4;
+            this.btnDeleteRole.Text = "delete Role";
+            this.btnDeleteRole.UseVisualStyleBackColor = true;
+            this.btnDeleteRole.Click += new System.EventHandler(this.btnDeleteRole_Click);
+            // 
+            // btnNewRole
+            // 
+            this.btnNewRole.Location = new System.Drawing.Point(8, 16);
+            this.btnNewRole.Name = "btnNewRole";
+            this.btnNewRole.Size = new System.Drawing.Size(75, 23);
+            this.btnNewRole.TabIndex = 3;
+            this.btnNewRole.Text = "new Role";
+            this.btnNewRole.UseVisualStyleBackColor = true;
+            this.btnNewRole.Click += new System.EventHandler(this.btnNewRole_Click);
+            // 
+            // dgvRoles
+            // 
+            this.dgvRoles.AllowUserToAddRows = false;
+            this.dgvRoles.AllowUserToDeleteRows = false;
+            this.dgvRoles.AutoGenerateColumns = false;
+            this.dgvRoles.ColumnHeadersHeightSizeMode = System.Windows.Forms.DataGridViewColumnHeadersHeightSizeMode.AutoSize;
+            this.dgvRoles.Columns.AddRange(new System.Windows.Forms.DataGridViewColumn[] {
+            this.roleNameDataGridViewTextBoxColumn,
+            this.loweredRoleNameDataGridViewTextBoxColumn,
+            this.descriptionDataGridViewTextBoxColumn});
+            this.dgvRoles.DataSource = this.bsRoles;
+            this.dgvRoles.Location = new System.Drawing.Point(3, 45);
+            this.dgvRoles.MultiSelect = false;
+            this.dgvRoles.Name = "dgvRoles";
+            this.dgvRoles.SelectionMode = System.Windows.Forms.DataGridViewSelectionMode.FullRowSelect;
+            this.dgvRoles.Size = new System.Drawing.Size(1086, 290);
+            this.dgvRoles.TabIndex = 2;
+            this.dgvRoles.SelectionChanged += new System.EventHandler(this.dgvRoles_SelectionChanged);
+            // 
+            // roleNameDataGridViewTextBoxColumn
+            // 
+            this.roleNameDataGridViewTextBoxColumn.AutoSizeMode = System.Windows.Forms.DataGridViewAutoSizeColumnMode.Fill;
+            this.roleNameDataGridViewTextBoxColumn.DataPropertyName = "RoleName";
+            this.roleNameDataGridViewTextBoxColumn.HeaderText = "Name";
+            this.roleNameDataGridViewTextBoxColumn.Name = "roleNameDataGridViewTextBoxColumn";
+            // 
+            // loweredRoleNameDataGridViewTextBoxColumn
+            // 
+            this.loweredRoleNameDataGridViewTextBoxColumn.AutoSizeMode = System.Windows.Forms.DataGridViewAutoSizeColumnMode.AllCells;
+            this.loweredRoleNameDataGridViewTextBoxColumn.DataPropertyName = "LoweredRoleName";
+            this.loweredRoleNameDataGridViewTextBoxColumn.HeaderText = "Lowered Name";
+            this.loweredRoleNameDataGridViewTextBoxColumn.Name = "loweredRoleNameDataGridViewTextBoxColumn";
+            this.loweredRoleNameDataGridViewTextBoxColumn.Width = 96;
+            // 
+            // descriptionDataGridViewTextBoxColumn
+            // 
+            this.descriptionDataGridViewTextBoxColumn.AutoSizeMode = System.Windows.Forms.DataGridViewAutoSizeColumnMode.AllCells;
+            this.descriptionDataGridViewTextBoxColumn.DataPropertyName = "Description";
+            this.descriptionDataGridViewTextBoxColumn.HeaderText = "Description";
+            this.descriptionDataGridViewTextBoxColumn.Name = "descriptionDataGridViewTextBoxColumn";
+            this.descriptionDataGridViewTextBoxColumn.Width = 85;
+            // 
+            // bsRoles
+            // 
+            this.bsRoles.DataSource = typeof(HeuristicLab.Services.Authentication.DataTransfer.Role);
+            // 
+            // tcRole
+            // 
+            this.tcRole.Controls.Add(this.tpRoleDetail);
+            this.tcRole.Controls.Add(this.tabPage6);
+            this.tcRole.Dock = System.Windows.Forms.DockStyle.Bottom;
+            this.tcRole.Enabled = false;
+            this.tcRole.Location = new System.Drawing.Point(3, 341);
+            this.tcRole.Name = "tcRole";
+            this.tcRole.SelectedIndex = 0;
+            this.tcRole.Size = new System.Drawing.Size(1086, 185);
+            this.tcRole.TabIndex = 1;
+            // 
+            // tpRoleDetail
+            // 
+            this.tpRoleDetail.Controls.Add(descriptionLabel);
+            this.tpRoleDetail.Controls.Add(this.descriptionTextBox);
+            this.tpRoleDetail.Controls.Add(this.btnSaveRole);
+            this.tpRoleDetail.Controls.Add(roleNameLabel);
+            this.tpRoleDetail.Controls.Add(this.roleNameTextBox);
+            this.tpRoleDetail.Location = new System.Drawing.Point(4, 22);
+            this.tpRoleDetail.Name = "tpRoleDetail";
+            this.tpRoleDetail.Padding = new System.Windows.Forms.Padding(3);
+            this.tpRoleDetail.Size = new System.Drawing.Size(1078, 159);
+            this.tpRoleDetail.TabIndex = 0;
+            this.tpRoleDetail.Text = "Detail";
+            this.tpRoleDetail.UseVisualStyleBackColor = true;
+            // 
+            // descriptionTextBox
+            // 
+            this.descriptionTextBox.DataBindings.Add(new System.Windows.Forms.Binding("Text", this.bsRole, "Description", true));
+            this.descriptionTextBox.Location = new System.Drawing.Point(81, 54);
+            this.descriptionTextBox.Name = "descriptionTextBox";
+            this.descriptionTextBox.Size = new System.Drawing.Size(191, 20);
+            this.descriptionTextBox.TabIndex = 4;
+            // 
+            // bsRole
+            // 
+            this.bsRole.DataSource = typeof(HeuristicLab.Services.Authentication.DataTransfer.Role);
+            // 
+            // btnSaveRole
+            // 
+            this.btnSaveRole.Location = new System.Drawing.Point(197, 80);
+            this.btnSaveRole.Name = "btnSaveRole";
+            this.btnSaveRole.Size = new System.Drawing.Size(75, 23);
+            this.btnSaveRole.TabIndex = 2;
+            this.btnSaveRole.Text = "Save Role";
+            this.btnSaveRole.UseVisualStyleBackColor = true;
+            this.btnSaveRole.Click += new System.EventHandler(this.btnSaveRole_Click);
+            // 
+            // roleNameTextBox
+            // 
+            this.roleNameTextBox.DataBindings.Add(new System.Windows.Forms.Binding("Text", this.bsRole, "RoleName", true));
+            this.roleNameTextBox.Location = new System.Drawing.Point(81, 19);
+            this.roleNameTextBox.Name = "roleNameTextBox";
+            this.roleNameTextBox.Size = new System.Drawing.Size(191, 20);
+            this.roleNameTextBox.TabIndex = 1;
             // 
             // tabPage6
             // 
-            this.tabPage6.Controls.Add(this.dataGridView2);
+            this.tabPage6.Controls.Add(this.label3);
+            this.tabPage6.Controls.Add(this.label2);
+            this.tabPage6.Controls.Add(this.dgvRoleAssignedUsers);
+            this.tabPage6.Controls.Add(this.btnAddUserToRole);
+            this.tabPage6.Controls.Add(this.btnRemoveUserFromRole);
+            this.tabPage6.Controls.Add(this.dgvRoleAvailableUsers);
             this.tabPage6.Location = new System.Drawing.Point(4, 22);
             this.tabPage6.Name = "tabPage6";
